Subject: Re: bug#13864: 24.3.50; emacsclient -t loops when connected to emacs server running in X11

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Mar 2013 08:55:51 +0200

> From: [email-masked] (Ashish SHUKLA)
> Cc: [email-masked]
> Date: Thu, 07 Mar 2013 07:13:46 +0530
> 
> > So with "emacs -Q", you saw update_frame_1 being constantly called all
> > the time, even if you didn't press any key after "C-x C-f", is that
> > right?
> 
> Correct.
> 
> > If so, please add "bt" to the breakpoint commands, so that we see who
> > is calling update_frame_1.
> 
> Please find the gdb output in attached file, immediately after doing
> "emacsclient -t .emacs.d/init.el". I didn't press any key, or did anything to
> few window. After few pages of output I decided to exit from GDB.

Thanks.  However, didn't you say that the flickering only starts once
you type "C-x C-f" in the frame open by emacsclient?  If so, I need
this GDB output after you type "C-x C-f", please.

And yes, once the backtrace and the values of the two arguments start
repeating themselves, you can exit GDB.